Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006772OCamlconfigure and build/installpublic2015-02-05 08:492016-12-07 11:49
Reporterpocarist 
Assigned Toshinwell 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Platformi386OSNetBSD/i386OS Version6.1.4
Product Version4.02.0 
Target Version4.02.2+dev / +rc1Fixed in Version4.02.2+dev / +rc1 
Summary0006772: Fail to compile 'asmrun/signals_asm.c'.
DescriptionI can not compile 'asmrun/signals_asm.c' on NetBSD/i386 from version 4.02.

Direct cause is that is not in the NetBSD definition of sigcontext by configure target has been added that SYS_bsd_elf.
Therefore, it was changed to use the ucontext in the POSIX standard instead of sigcontext.

So, I'll send to bug report and fix patch.
Steps To Reproduce% gmake [~/src/ocaml/ocaml-4.02.1_fix/asmrun]
gcc -I../byterun -DCAML_NAME_SPACE -DNATIVE_CODE -DTARGET_i386 -DSYS_bsd_elf -O -Wall -D_FILE_OFFSET_BITS=64 -D_REENTRANT -c -o signals_asm.o signals_asm.c
signals_asm.c:75:1: warning: 'struct sigcontext' declared inside parameter list
signals_asm.c:75:1: warning: its scope is only this definition or declaration, which is probably not what you want
signals_asm.c:195:1: warning: 'struct sigcontext' declared inside parameter list
signals_asm.c: In function 'segv_handler':
signals_asm.c:211:10: error: dereferencing pointer to incomplete type
signals_asm.c:211:10: error: dereferencing pointer to incomplete type
signals_asm.c:211:10: error: dereferencing pointer to incomplete type
signals_asm.c:211:10: error: dereferencing pointer to incomplete type
signals_asm.c:211:10: error: dereferencing pointer to incomplete type
signals_asm.c:211:10: error: dereferencing pointer to incomplete type
gmake: *** [signals_asm.o] Error 1
Additional InformationFix patch
---------
(Gist) https://gist.github.com/pocarist/96aa47c4529131392355 [^]
Tagspatch
Attached Filespatch file icon signals_osdep.h.patch [^] (1,055 bytes) 2015-02-05 08:49 [Show Content]

- Relationships

-  Notes
(0013234)
shinwell (developer)
2015-02-05 12:17

I investigated this a little. I think the patch is reasonable and correct. I will merge it unless anyone objects soon.
(0013836)
shinwell (developer)
2015-05-06 17:18

Committed to 4.02

- Issue History
Date Modified Username Field Change
2015-02-05 08:49 pocarist New Issue
2015-02-05 08:49 pocarist File Added: signals_osdep.h.patch
2015-02-05 12:17 shinwell Note Added: 0013234
2015-02-05 12:18 shinwell Assigned To => shinwell
2015-02-05 12:18 shinwell Status new => confirmed
2015-03-20 22:24 doligez Tag Attached: patch
2015-03-20 22:25 doligez Target Version => 4.02.2+dev / +rc1
2015-05-06 17:18 shinwell Note Added: 0013836
2015-05-06 17:19 shinwell Status confirmed => resolved
2015-05-06 17:19 shinwell Fixed in Version => 4.02.2+dev / +rc1
2015-05-06 17:19 shinwell Resolution open => fixed
2016-12-07 11:49 xleroy Status resolved => closed
2017-02-23 16:38 doligez Category OCaml internal build/install (Makefiles, configure) => configure and build/install


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker